Summary:	Model to synchronize multiple instances over DBus
Name:		dee
Version:	0.5.18
Release:	1%{?dist}
# GPLv3-licensed tests and examples are in the tarball, but not
# installed
License:	LGPLv3
Group:		System Environment/Libraries
URL:		https://launchpad.net/dee
Source0:	http://launchpad.net/dee/0.4/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	vala-tools
BuildRequires:	gtk-doc
BuildRequires:	dbus-glib-devel
BuildRequires:	gobject-introspection-devel
# For %{python_sitearch}/gi/overrides directory
Requires:	pygobject2

%description
Libdee is a library that uses DBus to provide objects allowing you to
create Model-View-Controller type programs across DBus. It also
consists of utility objects which extend DBus allowing for peer-to-peer
discoverability of known objects without needing a central registrar.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
# this somehow fixes an underlinking issue: see https://bugs.launchpad.net/dee/+bug/684766
autoreconf -i

%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/libdee*.so.*
%{python_sitearch}/gi/overrides/Dee.*

%files	devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/dee-1.0
%{_libdir}/libdee*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/dee-1.0
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps

%changelog
* Wed May 11 2011 Adam Williamson <awilliam@redhat.com> - 0.5.18-1
- new release 0.5.18

* Mon Mar 07 2011 Adam Williamson <awilliam@redhat.com> - 0.5.12-1
- new release 0.5.12

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Adam Williamson <awilliam@redhat.com> - 0.5.4-1
- new release

* Fri Dec 03 2010 Adam Williamson <awilliam@redhat.com> - 0.4.2-1
- initial package
